Bug 1413816 - [Docs][Install][3.6] Registering the Hypervisor - the Satellite instructions need to be reviewed and updated
Summary: [Docs][Install][3.6] Registering the Hypervisor - the Satellite instructions ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.10
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ovirt-3.6.z-async
: ---
Assignee: Tahlia Richardson
QA Contact: Byron Gravenorst
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 02:38 UTC by Megan Lewis
Modified: 2019-05-07 12:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-15 00:42:46 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Megan Lewis 2017-01-17 02:38:49 UTC
Currently we only have a minimal procedure for registering a RHEV-H with a Satellite server and it doesn't take into account the differences between Satellite versions. 

This came up as part of the doc text for https://bugzilla.redhat.com/show_bug.cgi?id=1339883

Original doc text (There are further comments on the bug that may be helpful): 
Cause:
The option RHSM allow the user to register a system to the Red Hat Customer Portal calling the subscription-manager command underneath.
One important aspect to mention is that when selecting the RHSM type, the **user** cannot flip/change the URL and CA URL, which demonstrate the system will be registered to the Customer Portal.

On the other side, when selecting the SAM option it will call the subscription-manager option as well, however it will allow the user to change the URL/CA URL. It seems that some users were
using this option to register to a Satellite (which may work on older versions of Sat 6) however the new Candlepin enforces the Organization and Environment to be informed which is what
this patch is about.

The new patch makes use of the Satellite type to work between Satellite 5 and Satellite 6 versions. The patch recognizes based on the URL passed what version the user is intended to
register and then it will call it properly. Note that on Satellite 6.2 > it is required the Organization and Environment when not using the activation key which makes this a valid patch.

Consequence:
Lack of documentation and users cannot register their RHEV Hypervisor with Satellite.

Fix:
Steps to register:

Satellite server version 5.7

Registration via Text User Interface:
1. Clean install RHEVH
2. Login as admin
3. Go to RHSM Registration TAB
4. Input below information:
username: admin
password: xxxxxx
type: Satellite
URL: https://mysat57.server.com
CA URL: https://mysat57.server.com/pub/RHN-ORG-TRUSTED-SSL-CERT
5. Register

Registration via autoinstall, i.e:
firstboot storage_init=/dev/storage_disk_rhevh adminpw=ENCRYPTED_PASSWORD_OF_RHEVH management_server=RHEVM_IP_ADDRESS BOOTIF=network_interface
dns=NAMESERVER_IP_ADDRESS rhn_type=satellite rhn_username=SATELLITE_USER rhn_password=SATELLITE_PASSWORD
rhn_url=https://mysat57.server.com rhn_ca_cert=https://mysat57.server.com/pub/RHN-ORG-TRUSTED-SSL-CERT

Satellite version 6.0.8

First, Prepare the Satellite server:
#satellite6.0.8> cd /tmp
#satellite6.0.8> rpm2cpio /var/www/html/pub/katello-ca-consumer-latest.noarch.rpm | cpio -idmv
#satellite6.0.8> cat etc/rhsm/ca/candlepin-local.pem etc/rhsm/ca/katello-server-ca.pem >> /var/www/html/pub/katello-server-ca.crt
#satellite> restorecon -Rv /var/www/html/pub/katello-server-ca.crt
#satellite6.0.8> chmod 644 /var/www/html/pub/katello-server-ca.crt

Registration via Text User Interface:
1. Clean install RHEVH
2. Login as admin
3. Go to RHSM Registration TAB
4. Input below information:
username: admin
password: xxxxxx
type: Satellite
URL: https://mysat608.server.com/
CA URL: http://mysat608.server/pub/katello-server-ca.crt
Organization: Organization name
Environment: Libray name
5. Register

Registration via autoinstall, i.e:
firstboot storage_init=/dev/storage_disk_rhevh adminpw=ENCRYPTED_PASSWORD_OF_RHEVH management_server=RHEVM_IP_ADDRESS BOOTIF=network_interface
dns=NAMESERVER_IP_ADDRESS rhn_type=satellite rhn_username=SATELLITE_USER rhn_password=SATELLITE_PASSWORD
rhn_url=https://mysat608.server.com/
rhn_ca_cert=http://mysat608.server/pub/katello-server-ca.crt
rhn_org=Organization Name
rhn_environment=Environment Name

Satellite server version 6.2

Registration via Text User Interface:
1. Clean install RHEVH
2. Login as admin
3. Go to RHSM Registration TAB
4. Input below information:
username: admin
password: xxxxxx
type: satellite
URL: https://mysat62.server.com
CA URL: https://mysat62.server.com/pub/katello-server-ca.crt
Organization: Organization name
Environment: Libray name
5. Register

Registration via autoinstall, i.e:
firstboot storage_init=/dev/storage_disk_rhevh adminpw=ENCRYPTED_PASSWORD_OF_RHEVH management_server=RHEVM_IP_ADDRESS BOOTIF=network_interface
dns=NAMESERVER_IP_ADDRESS rhn_type=satellite rhn_username=SATELLITE_USER rhn_password=SATELLITE_PASSWORD
rhn_url=https://mysat62.server.com
rhn_ca_cert=https://mysat62.server.com/pub/katello-server-ca.crt
rhn_org=Organization Name
rhn_environment=Environment Name

Comment 3 Lucy Bopf 2017-07-25 00:17:03 UTC
Assigning to Tahlia for review.


Note You need to log in before you can comment on or make changes to this bug.